Bug 477911 - no sound in 2.6.27.9-159
no sound in 2.6.27.9-159
Status: CLOSED DUPLICATE of bug 477954
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-25 03:23 EST by Suren Karapetyan
Modified: 2009-01-17 15:18 EST (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-03 17:42:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suren Karapetyan 2008-12-25 03:23:03 EST
Description of problem:
After update from 2.6.27.7-134 to 2.6.27.9-159 I get no sound working with alsa.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
from lspci:
00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia [1002:4383]
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

Also I can see this line in dmesg with both kernels (i.e. even when the sound is working)
hda-intel: Invalid position buffer, using LPIB read method instead.
Comment 1 Rui Matos 2008-12-25 14:02:12 EST
No sound here either with kernel-2.6.27.9-159.fc10.i686. FWIW my hardware is:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
Comment 2 Suren Karapetyan 2008-12-25 14:29:10 EST
Some more info.

The device nodes in /dev/snd are created as needed.
There are no problems opening the devices and playing.
but there is no sound.
Using same alsa userspace but older kernel fixes this.
Comment 3 MGeiger 2008-12-25 19:33:47 EST
Encountered the same problem after upgrade to 2.6.27.9-159 x86_64 on F10. 

Same modules are loaded for new and previous kernel, including those in the snd_hda_intel family. Pulseaudio sound controller GUI shows stream playing (output bars reflect stream source) but no sound can be heard. Sound under previous kernel worked flawlessly.

Dell Precision 6300
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
Comment 4 Raphael Javaux 2008-12-26 06:10:17 EST
I have the same problem after the update to 2.6.27.9-159.fc10.i686 too.
No problem with the 2.5.27.7

I hear the speakers but not when I plug in headphones (no in speakers, no in headphones).

Dell Vostro 1500 :
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
Comment 5 Flóki Pálsson 2008-12-26 10:06:30 EST
Advice I cot in Bug 463718
"Please play around with "alsamixer -c0".  "
Sound OK with kernel-2.6.27.9-159.fc10.x86_64   for me.
Comment 6 Suren Karapetyan 2008-12-26 15:46:57 EST
(In reply to comment #5)
> Advice I cot in Bug 463718
> "Please play around with "alsamixer -c0".  "
> Sound OK with kernel-2.6.27.9-159.fc10.x86_64   for me.

I tried everything with alsamixer - it doesn't help.
Sound is ok on my home PC too with "nVidia Corporation MCP55 High Definition Audio [10de:0371]" but it doesn't work with the notebook, which is hp dv5-1145ee.

I can do bisecting and find the exact cause of this, but I'm sure if a alsa/kernel developer who works on this spends 15 minutes of his time he'll most probably be able to tell what may be the possible causes of this problem.
Comment 7 Suren Karapetyan 2008-12-26 16:14:17 EST
Well.. looked through the CVS changes.
Alsa 1.0.18a looks the most possible cause of the breakage.

I would be very grateful if someone can tell me what to do next.
I could get vanilla kernel HEAD from kernel.org and test it but it comes with alsa 1.0.18rc3.
Comment 8 Samuel Audet 2008-12-26 19:04:14 EST
Just the Christmas weekend I had in mind: Searching the net for old 2.6.27.9 kernel and installing that back... :) Next time, I won't erase old kernels so quickly.

I have the same problem here with a Dell XPS M1330, except, I noted that sound still comes out fine from the internal speaker of the laptop. It's only when I connect something in the front jacks, then _everything_ becomes silent... I suspect another mixer problem, the same kind of problem I _still_ have with the internal microphone... that "HDA Intel" chipset seems to be a hard nut to crack. 

Here is the changelog of 2.6.27.9:
http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.27.9
I'm sure one of those ALSA hda quirks broke the jack mixers ...

Can someone from Intel get all this mess fixed please? :)
Comment 9 Rui Matos 2008-12-27 09:08:44 EST
Using the latest koji fc10 kernel at http://koji.fedoraproject.org/koji/buildinfo?buildID=76110

which boasts this curious changelog line:

 Hopefully fix broken headphone output on some Dell notebooks.


I still didn't have sound though, but, after tickling the headphone jack with the headphones the sound was unmuted. Unmuted only from the internal laptop speaker though, because the headphones still don't make a whisper.
Comment 10 MGeiger 2008-12-27 11:14:44 EST
Hmm. Fedora-specific changelog also might be worth considering. That also reports modifications to the Intel HDA driver, although it doesn't appear to be the sort of change that should break sound altogether. See:
http://lwn.net/Articles/312871/
for the full post.

"* Tue Dec 16 2008 Chuck Ebbert <cebbert@redhat.com> 2.6.27.9-159
- Disable input beep feature in Intel HDA sound driver.
"
Comment 11 Stephen Moehle 2008-12-27 16:28:32 EST
Same problem on a Dell D820. Speakers work but no sound from headphones.
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
Comment 12 Christophe Lambin 2008-12-27 18:05:11 EST
Similar problem here. The line out to my external speakers don't work. Headphones work fine.

05:04.0 Multimedia audio controller: Creative Labs SB Audigy (rev 04)
Comment 13 ML 2008-12-28 12:10:02 EST
Same problem with my DELL Latitude D830.

Workaround is to install kernel 2.6.27.7-134.
Comment 14 Alfredo Ferrari 2008-12-28 12:25:06 EST
Same problem with a DELL Latitude D830 as per previous message. I am running the PAE kernel, I have no speakers and no headphone working with kernel-2.6.27.9-159.fc10. Playing around with alsa sliders doesn't help. Everything works again when booting back on kernel-2.6.27.7-134
Comment 15 Tom Sightler 2008-12-29 13:34:10 EST
Not that it needs it, but I can confirm the identical problem with a Dell Latitude D830 with x86_64.  Sounds has worked with all previous versions but not with kernel-2.6.27.9-159.fc10.  I can get the internal speakers to come alive if I plug and unplug the headphones once or twice, but the headphones themselves are constantly dead.

Currently reverting to kernel-2.6.27.7-134 which works fine.
Comment 16 Tom Sightler 2008-12-29 13:58:26 EST
Following the link above I found development kernel-2.6.27.10-167 which had the previously noted comment "Hopefully fix broken headphone output on some Dell notebooks."  I tried this kernel and it did not fix my problem, my symptoms remained the same as with kernel-2.6.27.9-159, no sound on boot, no sound in headphones, however, if I plug and unplug headphones once or twice I can get sound from the built in speakers.

Still running 2.6.27.7-134 for now but would be happy to test any future kernels to see if they resolve the problem on my D830.
Comment 17 Juan Antonio Martinez 2008-12-30 03:05:31 EST
Same problem on a Dell Studio 1737: no sound from speakers nor headphones

(From aplay -l)
card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
(From lspci)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
Comment 18 Robin Norwood 2008-12-30 14:35:19 EST
I've reproduced this on a Dell Latitude D830 (32-bit cpu), using the i686 kernel:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

2.6.27.9-159.fc10.i686 gives no audio, 2.6.27.7-134.fc10.i686 works fine.
Comment 19 Zbigniew Chamski 2008-12-30 16:51:38 EST
On my vanilla x86_64 (Athlon64X2, ASRock 939 Dual-SATA2 motherboard with ULI M5461 / ALC660), the update from 2.6.27.7-134.fc10.x86_64 to 2.6.27.9-159.fc10.x86_64 breaks audio capture from the microphone. Playback works fine in both cases, but under 2.6.27.9-159, no capture controls are shown in ALSA mixers and the microphone input level is very faint.  Simply rebooting into 2.6.27.7-134 restores the capture controls, making capture level adjustment and muting possible again.

Tested with gnome-sound-recorder and Skype 2.0.0.72 static (i386 OSS binary).

Hardware (lspci -v):
00:14.0 Audio device: ALi Corporation High Definition Audio/AC'97 Host Controlle
r (rev 01)
        Subsystem: ASRock Incorporation Device 0660
        Flags: bus master, medium devsel, latency 32, IRQ 22
        Memory at decd4000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel

I also observed a the difference in reported audio chipset (ALC660/ALC861): under kernel 2.6.27.7-134, the OSS mixer in gnome-volume-control presents itself as "Realtek ALC660 (OSS Mixer)", while in gnome-sound-properties it shows up as "HDA ULI M5461 ALC861 Analog (OSS)".  I'd expect the chipset to be reported in the same way in both apps.
Comment 20 neeraj.bhunwal 2008-12-30 17:48:38 EST
On my Dell XPS M1530 i have the same issue................audio worked fine till the previous kernel was updated to 2.6.27.9-159...........i get sound in laptop speaker but very faint sound(even at the highest volume level) in the earphones supplied with dell........

lspci -v

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
	Subsystem: Dell Device 022e
	Flags: bus master, fast devsel, latency 0, IRQ 21
	Memory at f6ffc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [130] Root Complex Link <?>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel


P.S. the previous kernel works just fine..
Comment 21 neeraj.bhunwal 2008-12-30 17:49:54 EST
On my Dell XPS M1530 i have the same issue................audio worked fine till the previous kernel was updated to 2.6.27.9-159...........i get sound in laptop speaker but very faint sound(even at the highest volume level) in the earphones supplied with dell........

lspci -v

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
	Subsystem: Dell Device 022e
	Flags: bus master, fast devsel, latency 0, IRQ 21
	Memory at f6ffc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: [50] Power Management version 2
	Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-
	Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
	Capabilities: [100] Virtual Channel <?>
	Capabilities: [130] Root Complex Link <?>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel


P.S. the previous kernel works just fine..
Comment 22 biAji 2008-12-30 23:42:30 EST
Same here with Dell latitude D420~
Comment 23 Nick Byrne 2008-12-31 08:00:34 EST
Same here - No audio (speakers or headphones) on Dell D630, have tried the updated kernel suggested for headphone fix (in koji) but it doesn't change anything. My config is here - http://www.alsa-project.org/db/?f=b597a7dac1dbfecb6bbb5338f5d7e22a62429972
Comment 24 Suren Karapetyan 2009-01-01 08:46:51 EST
Well I just checked same problem holds for rawhide: 2.6.29-0.7.rc0.git3.
I'm almost SURE it's the new alsa.
And I really think we shouldn't update to the new alsa in the stable f10 branch without being sure it won't break sound.
But it was pushed as a security update.
And as you see the only way people (affected by this) can keep sound working is to stop updating (at least the kernel, but most often - everything), leaving them open to many security problems.
Comment 25 Ademar Reis 2009-01-02 16:40:38 EST
I have the same problem:

kernel-2.6.27.9-159.fc10.i686

05:07.0 Multimedia audio controller: Creative Labs SB Audigy (rev 04)
        Subsystem: Creative Labs SB Audigy 2 ZS (SB0350)
        Flags: bus master, medium devsel, latency 32, IRQ 17
        I/O ports at a000 [size=64]
        Capabilities: <access denied>
        Kernel driver in use: EMU10K1_Audigy
        Kernel modules: snd-emu10k1

kernel-2.6.27.7-134.fc10.i686 works just fine.
Comment 26 Gilboa Davara 2009-01-03 06:17:34 EST
Same here. Audigy2SZ card (emu10k1) w/ Pulse disabled.
134 works just fine.
159, everything looks ok (All the device nodes are present and accounted for, aplay displays all the different PCMS, playing with the different mixers show no problem) - but no sound.

I tried remove the snd_xxx modules and restarting them by handle. Once I load the snd_emu10k1 I hear a short tick (which seems to suggest that the device is being initialized) - but again, no sound.

- Gilboa
Comment 27 Jörg Prante 2009-01-03 09:52:17 EST
No headphone sound here -plugging head phones mutes sound.

Dell Precision M90 

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)

Just for the records, it is not only fc10, it happens also with fc9 kernel 2.6.27.9-73.fc9.x86_64

dmesg:

HDA Intel 0000:00:1b.0: PCI INT A -> GSI 21 (level, low) -> IRQ 21
HDA Intel 0000:00:1b.0: setting latency timer to 64
ALSA sound/pci/hda/hda_codec.c:3303: autoconfig: line_outs=2 (0xe/0x11/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3307:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3311:    hp_outs=1 (0xd/0x0/0x0/0x0/0x0)
ALSA sound/pci/hda/hda_codec.c:3312:    mono: mono_out=0x0
ALSA sound/pci/hda/hda_codec.c:3320:    inputs: mic=0x10, fmic=0x0, line=0x0, fline=0x0, cd=0x0, aux=0x0
input: HDA Intel at 0xefffc000 irq 21 HP Out at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/input/input8

Reverting to 2.6.27.7-53.fc9.x86_64, everything is fine. 

In the dmesg output of 2.6.27.7-53.fc9.x86_64, the last line is missing ("HP Out at Ext Right Jack"...).

From looking at the Fedora 9 kernel changelog, I assume it's Alsa 1.0.18a that breaks some Dell notebooks' sound. Should be a good idea to update to Alsa 1.0.18.
Comment 28 H.J. Lu 2009-01-03 17:42:41 EST

*** This bug has been marked as a duplicate of bug 477954 ***
Comment 29 Nick Byrne 2009-01-03 17:58:03 EST
Hey Hongjui, did you read the original description before closing this. It is not the same, it occurs apparently because of the same kernel update but i repeat is not the same - this issue is no sound, speakers or headphones. That bug is headphones only.

Also, I don't know your duplication policy but this bug has far more information than the others you closed, it would make sense to duplicate them against this.
Comment 30 Suren Karapetyan 2009-01-03 19:40:01 EST
The main issue is new ALSA.
If marking this as a duplicate will help people fix what they broke, I don't mind.(In reply to comment #29)
> Hey Hongjui, did you read the original description before closing this. It is
> not the same, it occurs apparently because of the same kernel update but i
> repeat is not the same - this issue is no sound, speakers or headphones. That
> bug is headphones only.
> 
> Also, I don't know your duplication policy but this bug has far more
> information than the others you closed, it would make sense to duplicate them
> against this.

Agree :)
But the main issue is new ALSA.
And if marking this as a duplicate will help people fix what they broke, I don't mind.

P.S. I can't understand what was the point in upgrading to a devel version of one of the most important components of the OS during stable period of life-cycle.
Especially when upstream didn't do it (http://fedoraproject.org/wiki/PackageMaintainers/WhyUpstream).
Comment 31 Samuel Audet 2009-01-13 10:26:43 EST
Upgrading to newest alsa-driver fixes everything for me. Procedure:
   wget http://ftp.kernel.org/pub/linux/kernel/people/tiwai/alsa/alsa-driver/alsa-driver-20090113.tar.bz2
   tar -xjvf alsa-driver-20090113.tar.bz2
   cd alsa-driver
(remove the line with "typedef unsigned int fmode_t;" in include/adriver.h)
   ./configure --with-cards=hda-intel
   make
   sudo make install-modules

Reboot and tadam! We even get a new control for the PC Speaker (not that I will be using it.. it sounds awful)
Comment 32 Tom Sightler 2009-01-14 09:47:00 EST
The "fix" in comment 31 does work at least partially for me, but it's not perfect, so far I've found the following problems with the ALSA snapshot:

1.  The "beep" from the PC Speaker is and incredibly horrible noise that sounds nothing at all like a "beep" but more of a high-pitched polyphonic, ear-piercing squeal.  Fortunately, it's pretty easy to just mute the "PC Beep" in the mixer.

2.  While the headphones and speaker both seem to work, and the speakers switch on and off when I plugin my headphones, when I attempt to use the laptop speakers they are very "distorted".  It appears that they are overdriven.  Even if I turn the sliders all the way down I'll hear and occasional popping sound from them.  The headphone seem to sound OK.  The speakers always worked OK with the older kernel/drivers.

3.  The master volume control, which was already too sensitive, has not become even more sensitive.  Anything less that about 90% is almost totally silent (before it was about 75%).  I can work around this issue by using the PCM slider to set volume, which seems much more linear) but it still seems wrong and a step backwards from the old kernel driver.

Of course, I'm happy to have the speakers and headphones working, so certainly this is progress, but it's just not perfect, and still not as good as the behaviour of the older kernels which just worked.
Comment 33 ervin23 2009-01-17 15:16:13 EST
02:07.0 Multimedia audio controller: Creative Labs SB Audigy LS
	Subsystem: Creative Labs Device 100a
	Flags: bus master, medium devsel, latency 32, IRQ 19
	I/O ports at c000 [size=32]
	Capabilities: [dc] Power Management version 2
	Kernel driver in use: CA0106
	Kernel modules: snd-ca0106

same issue on my pc ... if you need the remaining part of the lspci, let me know
Comment 34 ervin23 2009-01-17 15:18:27 EST
02:07.0 Multimedia audio controller: Creative Labs SB Audigy LS
	Subsystem: Creative Labs Device 100a
	Flags: bus master, medium devsel, latency 32, IRQ 19
	I/O ports at c000 [size=32]
	Capabilities: [dc] Power Management version 2
	Kernel driver in use: CA0106
	Kernel modules: snd-ca0106

same issue on my pc ... if you need the remaining part of the lspci, let me know

Note You need to log in before you can comment on or make changes to this bug.